> For the complete documentation index, see [llms.txt](https://docs.limio.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.limio.com/components/component-library/standard-components/component-block-renewal-purchase-dialog.md).

# Component: Block Renewal Purchase Dialog

**Purpose:** This component restricts a customer from purchasing a subscription with a different currency if they are already a subscriber.

{% embed url="<https://69c2cf3a42a094f3cd354b8d-cannwfeosv.chromatic.com/?path=/story/shop-components-dialogs-block-renewal-purchase-dialog--default&full=1&shortcuts=false&singleStory=true&embed=true>" %}

## Props

| **Prop ID** | **Prop label** | **type**    | **default**                                                                                      | **info**                                                                                                                       |
| ----------- | -------------- | ----------- | ------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------ |
| heading     | Heading        | string      | You're already a subscriber                                                                      | Message visible to customers                                                                                                   |
| body        | Body           | richtext    | It looks like you're already a subscriber. Go to your account to edit your current subscription. | Message visible to customers                                                                                                   |
| showButton  | Show a button? | boolean     | false                                                                                            | Show a button that allows you to redirect the customer, for example to the appropriate product or to their self-service portal |
| buttonLabel | Button label   | buttonLabel | Click here                                                                                       | Define button text                                                                                                             |
| buttonUrl   | Button URL     | buttonUrl   | /renew                                                                                           | Define button URL                                                                                                              |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.limio.com/components/component-library/standard-components/component-block-renewal-purchase-dialog.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
